KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLCollection Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

An HTMLCollection is a list of nodes. An individual node may be accessed by either ordinal index or the node's name or id attributes. Note: Collections in the HTML DOM are assumed to be live meaning that they are automatically updated when the underlying document is changed.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLCollection other)
DOM.Node | base (self)
DOM.Node | firstItem (self)
bool | isNull (self)
DOM.Node | item (self, long index)
long | length (self)
DOM.Node | namedItem (self, DOM.DOMString name)
DOM.Node | nextItem (self)
DOM.Node | nextNamedItem (self, DOM.DOMString name)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLCollection | other
| ) |  |  |

DOM.Node base | ( |  | self ) |

Internal:
  not part of the DOM

DOM.Node firstItem | ( |  | self ) |

bool isNull | ( |  | self ) |

DOM.Node item | ( | self, |
|  | long | index
| ) |  |  |

This method retrieves a node specified by ordinal index. Nodes are numbered in tree order (depth-first traversal order).

Parameters:

  | index | The index of the node to be fetched. The index origin is 0.

Returns:
  The Node at the corresponding position upon success. A value of null is returned if the index is out of range.

long length | ( |  | self ) |

This attribute specifies the length or size of the list.

DOM.Node namedItem | ( | self, |
|  | DOM.DOMString | name
| ) |  |  |

This method retrieves a Node using a name. It first searches for a Node with a matching id attribute. If it doesn't find one, it then searches for a Node with a matching name attribute, but only on those elements that are allowed a name attribute.

Parameters:

  | name | The name of the Node to be fetched.

Returns:
  The Node with a name or

id attribute whose value corresponds to the specified string. Upon failure (e.g., no node with this name exists), returns null .

DOM.Node nextItem | ( |  | self ) |

DOM.Node nextNamedItem | ( | self, |
|  | DOM.DOMString | name
| ) |  |  |